<?php
defined('BASEPATH') OR exit('No direct script access allowed');
/**
* This controller included Testing purpose
* 
* Created : 18/02/2020
* Created By : Shivani Vakil
* 
* 
* 
*/
class Auth extends MY_Controller {
    
    public $input_params;
    
    public function __construct() {
        parent::__construct();
    }
    
    function index()
    {
        $data['loginPage'] = 1;
        $data['page']= 'admin/login';
        $this->load->vars($data);
        $this->load->view($this->_container);
    }
    function login()
    {
        if(!empty($this->session->userdata('admin_id'))){
            redirect('admin-dashboard');
        }
        if(isset($this->input_params['login_submit']))
        {
            $login = $this->general->get_details_by_multi_columns('admin',array('email'=> $this->input_params['email'],'password'=>md5($this->input_params['password'])));
            if($login->num_rows() > 0)
            {
                /////// SESSION MANAGEMENT ///////
                $logindata = array(
                    'admin_id'=>$login->row()->id,
                    'role'=>0
                 );
                $this->session->set_userdata($logindata);
                redirect(base_url().'admin-dashboard');
            }else{
                $this->session->set_flashdata('post_data',$this->input_params);
                $this->session->set_flashdata('error',LOGIN_ERROR);
                redirect(base_url().'admin-login');
            }
        }
    }
    
    function logout()
    {
        logout(session('role'));
    }
}
?>