<?php
defined('BASEPATH') OR exit('No direct script access allowed');
/**
* This controller included Testing purpose
* 
* Created : 18/02/2020
* Created By : Shivani Vakil
* 
* 
* 
*/
class Login extends MY_Controller {
    
    public $input_params;
    
    public function __construct() {
        parent::__construct();
    }
    
    function index()
    {
        if(!empty($this->session->userdata('bs_user_id'))){
            if($this->session->userdata('bs_user_id') == 1)
                redirect(base_url().'college-dashboard');
            else 
                redirect(base_url().'student-dashboard');
        }
        if(isset($this->input_params['login_submit']))
        {
            $login = $this->general->get_details_by_multi_columns('users',array('email'=> $this->input_params['email'],'password'=>md5($this->input_params['password'])));
            if($login->num_rows() > 0)
            {
                /////// SESSION MANAGEMENT ///////
                $logindata = array(
                    'bs_user_id'=>$login->row()->id,
                    'role'=>$login->row()->role
                 );
                $this->session->set_userdata($logindata);
                if($this->session->userdata('bs_user_id') == 1)
                    redirect(base_url().'college-dashboard');
                else 
                    redirect(base_url().'student-dashboard');
            }else{
                $this->session->set_flashdata('post_data',$this->input_params);
                $this->session->set_flashdata('error',LOGIN_ERROR);
                redirect(base_url().'login');
            }
        }
        
        $data['loginPage'] = 2;
        $data['page']= 'login';
        $this->load->vars($data);
        $this->load->view($this->_container);
    }
    function login()
    {
        
    }
    
    function logout()
    {
        logout(session('role'));
    }
}
?>