<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Home extends CI_Controller {

	/** 
	 * Index Page for this controller.
	 *
	 * Maps to the following URL
	 * 		http://example.com/index.php/welcome
	 *	- or -
	 * 		http://example.com/index.php/welcome/index   
	 *	- or -
	 * Since this controller is set as the default controller in
	 * config/routes.php, it's displayed at http://example.com/
	 *
	 * So any other public methods not prefixed with an underscore will
	 * map to /index.php/welcome/<method_name>
	 * @see http://codeigniter.com/user_guide/general/urls.html
	 */
	 
	 
	function __construct() 
    {
        parent::__construct();
 		$this->load->database();
		$this->load->library('session');
		
 		$this->load->helper('url');
 		$this->load->helper('form');
		$this->load->model('madmin/resource_model');
	
		$this->data = null;
		
		
	}
	public function index()
	{
		$data["section_one_data"] = $this->resource_model->get_page_details(10);
		$data["section_two_data"] = $this->resource_model->get_page_details(11);
		$data["section_three_data"] = $this->resource_model->get_page_details(12);
		$data["section_four_data"] = $this->resource_model->get_page_details(13);
		$data["section_five_data"] = $this->resource_model->get_page_details(14);
		$data["section_six_data"] = $this->resource_model->get_page_details(15);
		$data["section_about_data"] = $this->resource_model->get_page_details(16); 
		$this->load->view('index',$data);
	}
	public function detail($id)
	{
		$data["page_data"] = $this->resource_model->get_page_details($id);
		$this->load->view('page_detail',$data);
	}
	
	
	public function csc($parent_id="0",$type="")
	 {
	    if($type=="state")
		 {
	       $option = "<option value=''>Select State</option>";
	     }
		else if($type=="town")
		 {
		  $option = "<option value=''>Select Location/City</option>";
		 } 
		 else
		 {
		 $option = "<option value=''>Select</option>";
		 }
		$csc_list = getLocation($parent_id);
		foreach($csc_list as $csc) 
		  {
		    $option .= '<option value="'.$csc->id.'">'.$csc->name.'</option>';
		  }
		echo $option;  
	 }
	 public function pages($url="")
	 {
		$id = $this->resource_model->url_id($url);
		$data["page_data"] = $this->resource_model->get_page_details($id);
		//print_r($data["page_data"]); exit;
		$this->load->view('page_content',$data);
	 }
	 
	public function search_category()
	 {
	    $option = "";
		$category_list = getCategoryName($_GET['query']);
		if(!empty($category_list))
		 {
			foreach($category_list as $category)
			  {
				 $results_array[]=$category->name;
			  }
		 }	  
		 $results['suggestions']=$results_array;
         echo @json_encode($results);
	 } 
	 
	 public function search_location()
	 {
	    $option = "";
		$location_list = getLocation("","",$_GET['query']);
		if(!empty($location_list))
		 {
			foreach($location_list as $location)
			  {
				 $results_array[]=$location->name;
			  }
		 }	  
		 $results['suggestions']=$results_array;
         echo @json_encode($results);
	 }
	 
	public function country($id)
	 {
	   $this->session->set_userdata('country_id',$id);
	   redirect('home');
	 } 
	 
	 
	 public function newsletter()
	 {
	 if(isset($_POST) && !empty($_POST))
	 {
	   	$this->load->model('general_model');
		$data['data_list'] = array("email_address"=>""); 
		$data['form_error'] = "";  
		
		if(isSet($_POST) && !empty($_POST))
		{ 
		
		$this->newsletter_save();
		$data['form_error'] = $this->form_error;
		$data['data_list'] = $this->form_data;
		}
				
		
		$this->load->view('index',$data);
	 } 
	 
	 }
	 public function newsletter_save()
	{

		$this->load->library('form_validation');
			$rules = array(
                array(
                     'field'   => 'email_address',
                     'label'   => 'Email Address',
                     'rules'   => 'required|valid_email'
                  )
            );
		   
		   $messages = array(
                 'email_address'  => array('required' => "Email Address is required.",'valid_email'  => "Invalid Email Address."));
		
				$this->form_validation->set_rules($rules);
				$this->form_validation->set_rules($messages);
				$data['form_error'] ="";
				if ($this->form_validation->run() == FALSE)
				{
					$this->form_data = array("email_address"=>$_POST['email_address']);
					$this->form_error = validation_errors();
				}
				else
				{
				$this->load->model('general_model');
				$save=	$data=$this->general_model->save_newsletteremail($_POST);
				
				
				if(isset($_POST) && !empty($_POST))
			  {
			    $email_data = getSystemEmail('newsletter-thankyou-mail');
				$this->email->from('noreply@my-business.com', 'My-Business');
				$this->email->to($this->input->post('email_address')); 
				$this->email->subject($email_data[0]->subject);
				$this->email->set_mailtype("html");
				$msg = $email_data[0]->content;
						   
				$this->email->message($msg);
				$this->email->send();
				//$msg = '<font color=green>Your email has been sent.</font><br />';
				//$this->session->set_flashdata('msg', $msg);
				//redirect("business");
			  }
				
				
				
				
				
				if ($save==0)
				{
					$this->form_error = 'There is some error in saving data.';

				}
				$msg = '<font color=green>You have successfully subscribed to the newsletter.</font><br />';
                $this->session->set_flashdata('msgs', $msg);
				$data['form_error'] = $this->form_error;
				redirect("/#news-latter-container");
			}
	}
	 
	 
	 public function ajax_email()
	{
		$oPTION = $this->input->post("OPTION");
		$apn='';
		if($oPTION == 123)
		{
			$eMAIL_VAL = $this->input->post("EMAIL_VAL");
			$this->load->model('general_model');
			$getEMAIL = $this->general_model->email_check($eMAIL_VAL);
			echo $getEMAIL;
		}
	} 


	public function contact_us()
	{
        $this->load->library('form_validation');
        $data = array();
		if($this->input->post('submit'))
		{
			//$this->form_validation->set_error_delimiters('<span class="error">', '</span>');
			$this->form_validation->set_error_delimiters('<div class="validation_msg">', '</div>');
			$this->form_validation->set_message('required','%s is required');
			$this->form_validation->set_message('valid_email','%s must be a valid email address');
			$rules = array(
						array(
							'field'   => 'name',
							'label'   => 'Your Name',
							'rules'   => 'required'
						),
						array(
							'field'   => 'email',
							'label'   => 'Email address',
							'rules'   => 'required|valid_email'
						),
						array(
							'field'   => 'telephone',
							'label'   => 'Telephone',
							'rules'   => 'required|numeric'
						),
						array(
							'field'   => 'message',
							'label'   => 'Message',
							'rules'   => 'required'
						),
    					array(
	    					'field' => 'g-recaptcha-response',
	    					'label' => 'Security Code',
	    					'rules' => 'required|callback_check_captcha'
    					)
			);

			$this->form_validation->set_rules($rules);
			if ($this->form_validation->run() == TRUE)
			{
    			$data['data_list'] = array( 
    				"name" => $this->input->post('name'),
    				"email" => $this->input->post('email'),
    				"telephone" => $this->input->post('telephone'),
    				"message" => $this->input->post('message') 
    			);

				$email_data = getSystemEmail('contact-us');
				$msg = $email_data[0]->content;
				$replace = array('$name','$email','$telephone','$message');
				$replace_with = array($data['data_list']['name'],$data['data_list']['email'],$data['data_list']['telephone'],nl2br($data['data_list']['message']));
				$msg = str_replace($replace,$replace_with,$msg);
				//echo $msg; die;
				//echo $this->dbsettings->ADMIN_EMAIL; die;
				$this->email->initialize(array(
                  'protocol' => 'smtp',
                  'smtp_host' => 'smtp.sendgrid.net',
                  'smtp_user' => 'jinfozzle',
                  'smtp_pass' => 'jeet123@J',
                  'smtp_port' => 587,
                  'crlf' => "\r\n",
                  'newline' => "\r\n"
                ));
				$this->email->from('noreply@my-business.com', 'My-Business');
				$this->email->to($this->dbsettings->ADMIN_EMAIL);  //'info@my-business.com' array($this->dbsettings->ADMIN_EMAIL,$this->input->post('email'))
	            //$this->email->to('vijit.a@infozzle.com');
				$this->email->subject($email_data[0]->subject);
				$this->email->set_mailtype("html");
				//$msg = $this->load->view('email/contact_us',$data,TRUE);
				$this->email->message($msg);
				if($this->email->send())
				{
					$data['title'] = "Message sent successfully";
					$data['description'] = "Thank You, Your message has been sent successfully, we will be in contact with you soon";
					echo $this->load->view('success',$data,TRUE);
					exit;
				}
				else
				{
					$msg = 'Error on form submitting.';
					$this->session->set_flashdata('msg', $msg);
					redirect("contact_us");
				}
			}
		}
		$this->load->view('contact_us',$data);
	}

    /*public function check_captcha()
    {
		$this->load->helper('recaptcha');
		$response = recaptcha_check_answer(
			CAPTCHA_PRIVATE_KEY,
			$this->input->ip_address(),
			$this->input->post('recaptcha_challenge_field'),
			$this->input->post('recaptcha_response_field')
		); 
		if($response->is_valid==1)
		{  
		    return true;
		}
		else
		{ 
		    $this->form_validation->set_message('check_captcha', 'Invalid Security Code');
			return false;
		}
    }*/

	public function check_captcha($recaptcha_response)
	{
	  	$captcha = $this->input->post('g-recaptcha-response');
	  	$remoteip = $this->input->ip_address();//$_SERVER['REMOTE_ADDR']
	  	$secret_key = CAPTCHA_SECRET_KEY;
		$response=fileGetContentsCurl("https://www.google.com/recaptcha/api/siteverify?secret=".$secret_key."&response=".$captcha."&remoteip=".$remoteip);
		$obj = json_decode($response);
		if($obj->success == true)
		{
			return true;
		}
		else
		{
		 	$this->form_validation->set_message('check_captcha', 'Invalid Security Code');
			return false;
		}
   }


    public function advertise_with_us()
    {
    	$this->load->model('madmin/bannermanagement_model');
    	$data['result'] = $this->bannermanagement_model->get_placements_list();
    	$this->load->view('advertise-with-us',$data);
    }

    public function accept_gdpr()
    {
    	$output = array();
		$cookie = array(
		    'name'   => 'accept_gdpr',
		    'value'  => 'success',
		    'expire' => '604800'
		);
		$this->input->set_cookie($cookie);

    	$output['status'] = 'success';
    	echo @json_encode($output); die;
    }


    public function faq()
	{
        $data = array();
		$this->load->view('faqs',$data);
	}
}
