<main id="main-container">
<div class="content bg-gray-lighter">
    <div class="row items-push">
        <div class="col-sm-7">
            <h1 class="page-heading">
                <?=$title?>
            </h1>
        </div>
        <div class="col-sm-5 text-right hidden-xs">
            <ol class="breadcrumb push-10-t">
                <li><?=$beadcrum_title?></li>
                <li><a class="link-effect" href=""><?=$beadcrum_sub_title?></a></li>
            </ol>
        </div>
    </div>
</div>
     
<div class="content content-narrow">

<div class="col-sm-2 pull-left">
            <a href="<?=base_url()?>Stock/stock_list" class="btn btn-minw btn-primary"><b>BACK</b></a>
        </div>
    <div class="row">
        <div class="col-lg-12">
        
            <!-- Bootstrap Contact -->
            <div class="block block-themed">
                <div class="block-header bg-info">
                    <h3 class="block-title"><?=$beadcrum_sub_title?></h3>
                </div>
                <?php $this->load->view('common/messages');?>
                <div class="block-content">
                    <form class="form-horizontal push-5-t" action="<?=base_url()?>Stock/store" method="post" enctype="multipart/form-data">
                   
                        <div class="form-group">
                            <label class="col-xs-12" for="contact1-email">Code No *</label>
                                <div class="col-xs-12">
                                    <div class="input-group">
                                        <input class="form-control" type="text" id="code_no" name="code_no" placeholder="Enter code no" required/>
                                        <span class="input-group-addon"><i class="fa fa-list"></i></span>
                                </div>
                            </div>
                        </div>
                       
                        <div class="form-group">
                            <label class="col-xs-12" for="contact1-email">Product Name *</label>
                                <div class="col-xs-12">
                                <div class="input-group">
                                        <input class="form-control" type="text" id="product_name" name="product_name" placeholder="Enter Product Name " required/>
                                        <span class="input-group-addon"><i class="fa fa-list"></i></span>
                                </div>
                            </div>
                        </div> 
                        <div class="form-group">
                            <label class="col-xs-12" for="contact1-email">HSN code  *</label>
                                <div class="col-xs-12">
                                <div class="input-group">
                                        <input class="form-control" type="text" id="HSN_code" name="HSN_code" placeholder="Enter HSN code " required/>
                                        <span class="input-group-addon"><i class="fa fa-list"></i></span>
                                </div>
                            </div>
                        </div> 
                        <div class="form-group">
                            <label class="col-xs-12" for="contact1-email">Rate *</label>
                                <div class="col-xs-12">
                                    <div class="input-group">
                                        <input class="form-control" type="text" id="rate" name="rate" placeholder="Enter Rate"  required/>
                                        <span class="input-group-addon"><i class="fa fa-list"></i></span>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-xs-12" for="contact1-email">Unit Name *</label>
                                <div class="col-xs-12">
                                <div class="input-group">
                                <select name="unit_name" id="unit_name" class="form-control">
                                    <option selected="selected" value="">Select A Unit</option>
                                    <?php foreach($unit_list  as $unit) { ?>
                                    <option value="<?php echo $unit->unit_name;?>"><?php echo $unit->unit_name;?></option>
                                    <?php } ?>
                                    </select>    
                                </div>
                            </div>
                        </div>  
                       
                        <div class="form-group">
                            <label class="col-xs-12" for="contact1-email"> Unit Value *</label>
                                <div class="col-xs-12">
                                    <div class="input-group">
                                        <input class="form-control" type="text" id="unit_value" name="unit_value" placeholder="Enter unit value"  required/>
                                        <span class="input-group-addon"><i class="fa fa-list"></i></span>
                                </div>
                            </div>
                        </div>
                        
                        <div class="form-group">
                            <div class="input-group">
                                <input class="btn btn-minw btn-primary" type="submit"  name="submit" value="Create">
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
</main>
