<main id="main-container">
    <div class="content bg-gray-lighter">
        <div class="row items-push">
            <div class="col-sm-7">
                <h1 class="page-heading">
                    <?=$title?>
                </h1>
            </div>
            <div class="col-sm-5 text-right hidden-xs">
                <ol class="breadcrumb push-10-t">
                    <li><?=$beadcrum_title?></li>
                    <li><a class="link-effect" href=""><?=$beadcrum_sub_title?></a></li>
                </ol>
            </div>
        </div>
    </div>
    <div class="col-md-12">
        <?php $this->load->view('common/messages');?>
    </div>
    <div class="content content-narrow">
        <div class="row">
            <div class="col-lg-12">
                <?php //print_r($items);?>
                <div class="block-content">
                    <p class="push-30"></p>
                    <div class="table-responsive">
                        <table class="table table-striped table-vcenter">
                            <thead>
                                <tr>
                                    <th class="text-center">SR No</th>
                                    <th>Name</th>
                                    <th>Email</th>
                                    <th>Rating</th>
                                    <th>Comment</th>
                                    <th>Recommended Service</th>
                                    <th>Date</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php if(!empty($items)) { $i=1; ?>
                                <?php foreach ($items as $r) { ?>
                                <tr>
                                   <td class="text-center font-w600"><?=$i?></td>
                                   <td><?=$r->first_name?></td>
                                   <td><?=$r->email?></td>
                                   <td><?=$r->rate?></td>
                                   <td><?=$r->comment?></td>
                                   <td><?=($r->recommended_service==1) ? 'Yes' : 'No'?></td>
                                   <td><?=$r->created?></td>
                                   <td>
                                    <div class="btn-group">
                                        <a class="btn btn-xs btn-default confirm-action" type="button" data-toggle="tooltip" title="Delete" href="<?=base_url()?>delete-business-review/<?=$r->id?>/<?=$r->business_id?>"><i class="fa fa-trash"></i></a>
                                    </div>
                                   </td>
                                </tr>
                                <?php $i++; } ?>
                                <?php }else{ ?>
                                <tr><td colspan="8">Reviews not found</td></tr>
                                <?php } ?>
                            </tbody>
                        </table>
                    </div>
                     <?php if (!empty($paging)) { ?>
                        <p class="pagination pull-right"><?= $paging['links'] ?></p>
                    <?php } ?>
                </div>
            </div>
        </div>
    </div>
</main>



    