<main id="main-container">
    <div class="content bg-gray-lighter">
        <div class="row items-push">
            <div class="col-sm-7">
                <h1 class="page-heading">
                    <?=$title?>
                </h1>
            </div>
            <div class="col-sm-5 text-right hidden-xs">
                <ol class="breadcrumb push-10-t">
                    <li><?=$beadcrum_title?></li>
                    <li><a class="link-effect" href=""><?=$beadcrum_sub_title?></a></li>
                </ol>
            </div>
        </div>
    </div>
    <div class="col-md-12">
        <?php $this->load->view('common/messages');?>
    </div>
    <div class="content content-narrow">
        <div class="row">
            <div class="col-lg-12">
                <div class="col-md-12">
                    <a class="btn btn-success pull-right" href="<?=base_url()?>category/create"><i class="fa fa-plus"></i> Add Category</a>
                </div>
                
                <?php //print_r($items);?>
                <div class="block-content">
                    <p class="push-30"></p>
                    <div class="table-responsive">
                        <table class="table table-striped table-vcenter">
                            <thead>
                                <tr>
                                    <th class="text-center">SR No:</th>
                                    <th class="text-center">Category Name</th>
                                    <th class="text-center" style="width: 30%;">Date Added</th>
                                    <?php /*<th class="text-center" style="width: 15%;">Access</th> */ ?>
                                    <th class="text-center" style="width: 100px;">Actions</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php if(!empty($items)) { $i=1; ?>
                                <?php foreach ($items as $r) { ?>
                                <tr>
                                    <td class="text-center font-w600"><?=$i?></td>
                                    <td class="text-center"><?=$r->category?></td>
                                    <td class="text-center"><?=$r->created?></td>
                                    <?php /*<td class="text-center">
                                        <?=$r->active==1 ? '<span class="label label-success">Active</span>' : '<span class="label label-danger">Inactive</span>' ?>
                                    </td> */ ?>
                                    <td class="text-center">
                                        <div class="btn-group">
                                            <a class="btn btn-xs btn-default" type="button" data-toggle="tooltip" title="Edit" href="<?=base_url()?>category/edit/<?=$r->id?>"><i class="fa fa-pencil"></i></a>
                                            <a class="btn btn-xs btn-default confirm-action" type="button" data-toggle="tooltip" title="Remove" href="<?=base_url()?>category/delete/<?=$r->id?>"><i class="fa fa-times"></i></a>
                                        </div>
                                    </td>
                                </tr>
                                <?php $i++; } ?>
                                <?php } ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</main>
    