<main id="main-container">
    <div class="content bg-gray-lighter">
        <div class="row items-push">
            <div class="col-sm-7">
                <h1 class="page-heading">
                    <?=$title?>
                </h1>
            </div>
            <div class="col-sm-5 text-right hidden-xs">
                <ol class="breadcrumb push-10-t">
                    <li><?=$beadcrum_title?></li>
                    <li><a class="link-effect" href=""><?=$beadcrum_sub_title?></a></li>
                </ol>
            </div>
        </div>
    </div>
    <div class="col-md-12">
        <?php $this->load->view('common/messages');?>
    </div>
    <div class="content content-narrow">
        <div class="row">
            <div class="col-lg-12">
            <h1 class="page-heading">
                    <?=$title?>
                </h1>
                <?php //print_r($items);?>
                <div class="block-content">
                    <p class="push-30"></p>
                    <div class="table-responsive">
                        <table class="table table-striped table-vcenter">
                            <thead>
                                <div class="col-sm-2 pull-right">
                                    <a href="<?=base_url()?>Outward/create" class="btn btn-minw btn-primary"><b>ADD NEW</b></a>
                                </div>
                                <tr>
                                    <th class="width:20%">No</th>
                                    <th style="width:20%">Customer Name</th>
                                    <th style="width:20%">Product Name</th>
                                    <th style="width:20%">Source of Customer </th>
                                    <th style="width:20%">Actions</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php if(!empty($Outward_data)) { $i=1; ?>
                                <?php foreach ($Outward_data as $r) { ?>
                                <tr>
                                    <td><?=$i?></td>
                                    <td><?=$r['customer_name']?></td>
                                    <td><?=$r['name']?></td>
                                    <td><?=$r['source_of_customer']?></td>
                                    <td>
                                   
                                    <div class="btn-group">
                                    <a class="btn btn-xs btn-default" type="button" data-toggle="tooltip" title="Edit" href="<?=base_url()?>Outward/edit/<?=$r['id']?>"><i class="fa fa-pencil"></i></a>
                                    </div>
                                  
                                    <div class="btn-group">
                                        <a href="<?=base_url()?>Outward/delete/<?=$r['id'] ?>" onclick="return confirm('Are you sure you want to Cancel this?');" class="btn btn-xs btn-default" type="button" data-toggle="tooltip" title="delete" href="#"><i class="fa fa-trash" aria-hidden="true"></i></a>
                                    </div>
                                    </td>
                                </tr>
                                <?php $i++; } ?>
                                <?php } ?>
                            </tbody>
                        </table>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</main>
<script type="text/javascript">
    function iFrameToggle(id)
    {
         $('.embedded_div_'+id).toggle();
    }
</script>


