<main id="main-container">
<div class="content bg-gray-lighter">
    <div class="row items-push">
        <div class="col-sm-7">
            <h1 class="page-heading">
                <?=$title?>
            </h1>
        </div>
        <div class="col-sm-5 text-right hidden-xs">
            <ol class="breadcrumb push-10-t">
                <li><?=$beadcrum_title?></li>
                <li><a class="link-effect" href=""><?=$beadcrum_sub_title?></a></li>
            </ol>
        </div>
    </div>
</div>
     
<div class="content content-narrow">

<div class="col-sm-2 pull-left">
            <a href="<?=base_url()?>Warehouses/warehouse_list" class="btn btn-minw btn-primary"><b>BACK</b></a>
        </div>
    <div class="row">
        <div class="col-lg-12">
        
            <!-- Bootstrap Contact -->
            <div class="block block-themed">
                <div class="block-header bg-info">
                    <h3 class="block-title"><?=$beadcrum_sub_title?></h3>
                </div>
                <?php $this->load->view('common/messages');?>
                <div class="block-content">
                    <form class="form-horizontal push-5-t" action="<?=base_url()?>Warehouses/store" method="post" enctype="multipart/form-data">
                        <div class="form-group">
                            <label class="col-xs-12" for="contact1-email">Name *</label>
                                <div class="col-xs-12">
                                    <div class="input-group">
                                        <input class="form-control" type="text" id="name" name="name" placeholder="Enter User Name" required/>
                                        <span class="input-group-addon"><i class="fa fa-list"></i></span>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-xs-12" for="contact1-email">Parent Unit *</label>
                                <div class="col-xs-12">
                                    <div class="input-group">
                                        <select name="parent_unit">
                                            <option value="warehouse">warehouse</option>
                                            <option value="department">department</option>
                                     </select>
                                            <span class="input-group-addon"><i class="fa fa-list"></i></span>
                                </div>
                            </div>
                        </div>  <div class="form-group">
                            <label class="col-xs-12" for="contact1-email">Address *</label>
                                <div class="col-xs-12">
                                    <div class="input-group">
                                        <input class="form-control" type="text" id="address" name="address" placeholder="Enter Address"  required/>
                                        <span class="input-group-addon"><i class="fa fa-list"></i></span>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-xs-12" for="contact1-email"> Street *</label>
                                <div class="col-xs-12">
                                    <div class="input-group">
                                        <input class="form-control" type="text" id="street" name="street" placeholder="Enter Street"  required/>
                                        <span class="input-group-addon"><i class="fa fa-list"></i></span>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-xs-12" for="contact1-email">Landmark *</label>
                                <div class="col-xs-12">
                                    <div class="input-group">
                                        <input class="form-control" type="text" id="landmark" name="landmark" placeholder="Enter Landmark" >
                                        <span class="input-group-addon"><i class="fa fa-list"></i></span>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-xs-12" for="contact1-email"> city  *</label>
                                <div class="col-xs-12">
                                    <div class="input-group">
                                        <input class="form-control" type="text" id="city" name="city"  placeholder="Enter city"  required/>
                                        <span class="input-group-addon"><i class="fa fa-list"></i></span>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-xs-12" for="contact1-email">State*</label>
                                <div class="col-xs-12">
                                    <div class="input-group">
                                        <input class="form-control" type="text" id="state" name="state"  placeholder="Enter state"   required/>
                                        <span class="input-group-addon"><i class="fa fa-list"></i></span>
                                </div>
                            </div>
                        </div>
                         <div class="form-group">
                            <label class="col-xs-12" for="contact1-email">country*</label>
                                <div class="col-xs-12">
                                    <div class="input-group">
                                        <select name="country_id" id="country_id" class="form-control">
                                        <option selected="selected" value="">Select A country</option>
                                        <?php foreach($country_list  as $list) { ?>
                                        <option value="<?php echo $list->name;?>"><?php echo $list->name;?></option>

                                        <?php } ?>
                                    </select>                                   </div>
                            </div>
                        </div>
                          <div class="form-group">
                            <label class="col-xs-12" for="contact1-email">email*</label>
                                <div class="col-xs-12">
                                    <div class="input-group">
                                        <input class="form-control" type="text" id="email" name="email"  placeholder="Enter state"   required/>
                                        <span class="input-group-addon"><i class="fa fa-list"></i></span>
                                </div>
                            </div>
                        </div>
                          <div class="form-group">
                            <label class="col-xs-12" for="contact1-email">phone no*</label>
                                <div class="col-xs-12">
                                    <div class="input-group">
                                        <input class="form-control" type="text" id="phone_no" name="phone_no" placeholder="Enter phone_no"   required/>
                                        <span class="input-group-addon"><i class="fa fa-list"></i></span>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="input-group">
                                <input class="btn btn-minw btn-primary" type="submit"  name="submit" value="Create">
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
</main>
