<div class="container brow-ht">
    <div class="row">
        <div class="col-sm-offset-1 col-sm-10">
            <div class="row">
                <div class="col-sm-6">
                    <select name="business_category" id="id_business_category">
                        <option value="">-- Select Category --</option>
                        <?php if(!empty($categories)) { ?>
                         <?php foreach($categories as $c) { ?>
                            <option value="<?=$c->id?>"><?=$c->category?></option>
                        <?php } ?>
                        <?php } ?>
                    </select>
                </div>
                <?php /*<div class="col-sm-4">
                    <select name="business_subcategory" id="id_business_subcategory">
                        <option value="">-- Select Sub Category --</option>
                        <?php if(!empty($sub_categories)) { ?>
                         <?php foreach($sub_categories as $s) { ?>
                            <option value="<?=$s->id?>"><?=$c->subcategory?></option>
                        <?php } ?>
                        <?php } ?>
                    </select>
                </div> */ ?>
                <div class="col-sm-6">
                    <div class="brow-ht-search">
                        <input type="text" id="id_search" placeholder="Search by Business Name">
                        <button type="submit" id="id_search_button"><i class="fa fa-search"></i></button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<section class="section-feedback">
    <div class="container" id="business_data">
        <?php if(!empty($business_data)) { ?>
        <?php foreach($business_data as $r) { ?>
        <div class="row">
            <div class="col-sm-offset-1 col-sm-10">
                <div class="business-dtl business-dtl2">
                    <div class="list-group">
                        <div class="list-group-item">
                            <div class="media col-md-2 p-0">
                                <img src="<?=base_url().$r['row']->logo?>">
                            </div>
                            <div class="col-sm-7">
                                <h4 class="blue business-dtl-name">
                                    <a href="<?=base_url()?>business/<?=$r['row']->slug?>" target="_blank"><?=$r['row']->business_name?></a>
                                </h4>
                                <h5><strong>Phone:</strong> <?=$r['row']->primary_phone?></h5>
                                <div class="row">
                                    <div class="col-sm-12">
                                        <p><i class="fa fa-map-marker"></i>
                                            <?=$r['row']->address_1?> <br>
                                            <?=$r['row']->address_2?>, 
                                            <?=$r['row']->city?>,<?=$r['row']->state?>, <?=$r['row']->zipcode?>
                                        </p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-3 text-right">
                                <div class="row">
                                    <?php if(!empty($r['avg_reviews']->avg_r)) { ?>
                                    <div class="col-sm-7">
                                        <a href="<?=base_url()?>business/<?=$r['row']->slug?>/reviews" target="_blank">
                                            <div class="custom-rating">
                                                <ul>
                                                    <?php for($i=1;$i<=ceil($r['avg_reviews']->avg_r);$i++) { ?>
                                                    <li><i class="fa fa-star"></i></li>
                                                    <?php } ?>
                                                </ul>
                                            </div>
                                        </a>
                                    </div>
                                    <?php } ?>
                                    
                                     <?php if($r['comment_count'] > 0) { ?>
                                    <div class="col-sm-5">
                                        <a class="dec-none" title="View Reviews details" href="<?=base_url()?>business/<?=$r['row']->slug?>/reviews" target="_blank">
                                            <i class="fa fa-comment"></i>
                                            <span class="hospital-title-review">(</span>
                                            <span class="hospital-title-review">
                                                <?=$r['comment_count']?>
                                            </span>
                                            <span class="hospital-title-review">) </span>
                                        </a>
                                    </div>
                                    <?php } ?>
                                </div>
                            </div>
                            <div class="clearfix"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <?php } ?>
        <?php } ?>
    </div>
</section>
<script>
    function search_function(name, category) {
        console.log('name', name);
        console.log('category', category);
        $("#enquirybtn").html("<span style='color:#ccc !important;'><i class='fa fa-spinner fa-spin'></i> Submitting...</span>");
        browsFilter(category,name);
    }


    $('#id_search_button').on('click', function () {
        var name = $("#id_search").val();
        var category = $("#id_business_category").val();
        search_function(name, category);
    });

    $('#id_search').on("keypress", function (e) {
        if (e.keyCode == 13) {
            var name = this.value;
            var category = $("#id_business_category").val();
            search_function(name, category);

        }
    });

    $('#id_business_category').on('change', function () {
        var category = this.value;
        var name = $("#id_search").val();
        console.log('name', name);
        console.log('category', category);
        browsFilter(category,name);
        
    });
    
    browsFilter = function(category,name) {
       $('.ajax-loader').css('display', 'block');
       $.ajax({
            //headers: {"X-CSRFToken": getCookie("csrftoken")},
            type: "GET",
            dataType: "text",
            data: {category: category, name: name},
            success: function (response) {
                $('.ajax-loader').css('display', 'none');
                console.log('success');
                var events = JSON.parse(response);
                console.log(events);
                var business_list = events['business_data'];
                $('#business_data').html('');
                if (business_list.length > 0) {
                    for (var i = 0; i < (business_list.length); i++) {
                        console.log('Business Name : '+business_list[i]['row']['business_name']);
                        var business_name = business_list[i]['row']['business_name'];
                        var business_logo = business_list[i]['row']['logo'];
                        var primary_phone = business_list[i]['row']['primary_phone'];
                        var address1 = business_list[i]['row']['address1'];
                        var address2 = business_list[i]['row']['address2'];
                        var state = business_list[i]['row']['state'];
                        var city = business_list[i]['row']['city'];
                        var zipcode = business_list[i]['row']['zipcode'];
                        var slug = business_list[i]['row']['slug'];
                        var rating = Math.round(business_list[i]['avg_reviews']['avg_r']);
                        console.log('rating : '+rating);
                        var comments_count =  business_list[i]['comment_count'];
                        var rating_star = '<li></li>';

                        if (rating == 1) {
                            rating_star = '<li><i class="fa fa-star"></i></li>';
                        }
                        if (rating == 2) {
                            rating_star = '<li><i class="fa fa-star"></i></li><li><i class="fa fa-star"></i></li>';
                        }
                        if (rating == 3) {
                            rating_star = '<li><i class="fa fa-star"></i></li><li><i class="fa fa-star"></i></li><li><i class="fa fa-star"></i></li>';
                        }
                        if (rating == 4) {
                            rating_star = '<li><i class="fa fa-star"></i></li><li><i class="fa fa-star"></i></li><li><i class="fa fa-star"></i></li><li><i class="fa fa-star"></i></li>';
                        }
                        if (rating == 5) {
                            rating_star = '<li><i class="fa fa-star"></i></li><li><i class="fa fa-star"></i></li><li><i class="fa fa-star"></i></li><li><i class="fa fa-star"></i></li><li><i class="fa fa-star"></i></li>';
                        }

                        var address = '';
                        if (address1 != '') {
                            address += address1
                        }
                        if (address2 != '') {
                            if (address1 != '') {
                                address += ', '
                            }
                            address += address2;
                        }
                        address += '<br>';
                        if (city != '') {
                            address += city + ', '
                        }
                        address += state;
                        if (zipcode != '') {
                            address += ', ' + zipcode
                        }

                        var content = '<div class="row"><div class="col-sm-offset-1 col-sm-10"><div class="business-dtl"><div class="list-group">';
                        content += '<div class="list-group-item"><div class="media col-md-2 "><img src="<?=base_url()?>' + business_logo + '">';
                        content += '</div>';
                        content += '<div class="col-sm-7"><h4 class="blue business-dtl-name"><a href="<?=base_url()?>business/' + slug + '" target="_blank">' + business_name + '</a></h4><h5><strong>Phone No:</strong> ' + primary_phone + '</h5>';
                        content += '<div class="row"> <div class="col-sm-12"> <p><i class="fa fa-map-marker"></i> ' + address + '</p> </div> </div> </div>';
                        content += '<div class="col-sm-3 text-right"><div class="row"> <div class="col-sm-7"> <a href="<?=base_url()?>business/' + slug + '/reviews" target="_blank"><div class="custom-rating">';
                        content += '<ul>' + rating_star + '</ul>';
                        content += '</div></a></div>';
                        content += '<div class="col-sm-5"><a class="dec-none" title="View Reviews details" href="<?=base_url()?>business/' + slug + '/reviews" target="_blank"> <i class="fa fa-comment"></i> <span class="hospital-title-review">(</span> <span class="hospital-title-review">' + comments_count + ' </span> <span class="hospital-title-review">) </span> </a> </div>';
                        content += '</div></div><div class="clearfix"></div></div></div></div></div></div>';
                        console.log(content);
                        $('#business_data').append(content);
                    }
                } else {

                    $('#business_data').html('<div class="row"><div class="col-sm-offset-1 col-sm-10"><div class="business-dtl"><div class="list-group"><div class="list-group-item">No Record Found</div></div></div></div></div>');
                }
            },
            error: function (response) {
                console.log('error', response);
            }
        });
    };
</script>
