<?php
defined('BASEPATH') OR exit('No direct script access allowed');
/**
* This controller included Testing purpose
* 
* Created : 18/02/2020
* Created By : Shivani Vakil
* 
* 
* 
*/
class Auth extends MY_Controller {
    
    public $input_params;
    
    public function __construct() {
        parent::__construct();
    }
    
    function index()
    {
        $data['loginPage'] = 1;
        $data['page']= 'admin/login';
        $this->load->vars($data);
        $this->load->view($this->_container);
    }
    function login()
    {
        if(!empty($this->session->userdata('role'))){
            redirect(base_url().'dashboard');
            /*if($this->session->userdata('role') == 0)
                redirect('dashboard');
            else if($this->session->userdata('role') == 1)
                redirect(base_url().'college-dashboard');
            else 
                redirect(base_url().'student-dashboard');*/
        }
        if(isset($this->input_params['login_submit']))
        {
            if($this->input_params['email'] == 'admin@dharnendra.com')
            {
                $login = $this->general->get_details_by_multi_columns('admin',array('email'=> $this->input_params['email'],'password'=>md5($this->input_params['password'])));
                if($login->num_rows() > 0)
                {
                    /////// SESSION MANAGEMENT ///////
                    $logindata = array(
                        'admin_id'=>$login->row()->id,
                        'role'=>0
                     );
                    $this->session->set_userdata($logindata);
                    redirect(base_url().'dashboard');
                }else{
                    $this->session->set_flashdata('post_data',$this->input_params);
                    $this->session->set_flashdata('error',LOGIN_ERROR);
                    redirect(base_url().'login');
                }
            } 
        }
    }
    function change_password()
    {
        $user_id = session('bs_user_id');
        if(isset($_POST['submit']))
        {
            if(session('role')==1)
            {
                $redirect = base_url().'college/profile';
            }else if(session('role')==2)
            {
                $redirect = base_url().'students/profile';
            }
            $this->form_validation->set_rules('password','Password','trim|required|min_length[6]');
            if($this->form_validation->run() == false)
            {
                $this->session->set_flashdata('error',validation_errors());
                redirect($redirect);
            }else{
                $pass = $this->general->get_details_by_multi_columns('users',array('id'=> $user_id))->row()->password;
                if($pass != md5(md5($_POST['current_password'])))
                {
                    $this->session->set_flashdata('error','Password does not match with current password.');
                    redirect($redirect); 
                }
                $data['password'] = md5(md5($this->input_params['password']));
                $this->general->update('users','id',$user_id,$data);

                $this->session->set_flashdata('success','Password changed successfully.');
                redirect($redirect);
            } 
        } 
    }
    function logout()
    {
        logout(session('role'));
    }
}
?>