<?php

/* 
 * This class contains common functions like send mail,user details ...etc.
 * Created Date:28/03/2019
 * Created By : Shivani Vakil
 */

function check_session()
{
    $CI = & get_instance();
    if(!empty($CI->session->userdata("role")))
    {}else if(($CI->session->userdata("role") == 0)){}else{
       redirect(base_url().'login','refresh'); 
    }
}
if (!function_exists('redirect_back')) {

    function redirect_back() {

        if (isset($_SERVER['HTTP_REFERER'])) {

            header('Location: ' . $_SERVER['HTTP_REFERER']);
        } else {

            header('Location: http://' . $_SERVER['SERVER_NAME']);
        }

        exit;
    }

}

function check_active_business($businesss_id)
{
    $ci = & get_instance();
    $business= $ci->general->get_details_by_multi_columns('business',array('id'=>$businesss_id))->row();
    if($business->active != 1)
    {
        abort(404);
    }else if(strtotime($business->subscription_datetime) < strtotime($business->created)){
        abort(404);
    }
}

function check_admin()
{
    $ci = & get_instance();
    if(!empty(session('admin_id')))
    {}else{
       redirect(base_url().'errors/Page404'); 
    }
}

function check_college()
{
    $ci = & get_instance();
    if(!empty(session('role')))
    {
        if(session('role')!=1) redirect(base_url().'errors/Page404'); 
    }else{
       redirect(base_url().'errors/Page404'); 
    }
}

function check_student()
{
    if(!empty(session('role')))
    {
        if(session('role')!=2) redirect(base_url().'errors/Page404'); 
    }else{
       redirect(base_url().'errors/Page404'); 
    }
}

function check_student_college_tree($slug)
{
    if(!empty(session('role')) || session('role')==0)
    {
        if(session('role')==1 || session('role')==2) 
        {
           if($slug != session('slug'))
           {
               redirect(base_url().'errors/Page404');
           }
        } 
    }else{
       redirect(base_url().'errors/Page404'); 
    }
}


function check_admin_and_college()
{
    //echo session('role');exit;
    if(!empty(session('role')) || session('role')==0)
    {
        if(session('role')==0 || session('role')==1) {}else{
           redirect(base_url().'errors/Page404'); 
        }
    }else{
       redirect(base_url().'errors/Page404'); 
    }
}

function abort($error_no)
{
    if($error_no==404)
    {
        redirect(base_url().'errors/Page404'); 
    }else{
        redirect(base_url().'errors/Page404'); 
    }
}
function post_data($name)
{
    $ci = & get_instance();
    return !empty($ci->session->userdata('post_data')["$name"]) ? $ci->session->userdata('post_data')["$name"] : '';
}

function dropdown_post_data($post_value,$value)
{
    $ci = & get_instance();
    return !empty($ci->session->userdata('post_data')["$post_value"] && $ci->session->userdata('post_data')["$post_value"]==$value) ? 'selected' : '';
}
function dropdown_post_datas($db_val,$post_value,$value)
{
    $ci = & get_instance();
    if(!empty($db_val))
    {
       return ($db_val==$value) ? 'selected' : '';
    }else{
       return !empty($ci->session->userdata('post_data')["$post_value"] && $ci->session->userdata('post_data')["$post_value"]==$value) ? 'selected' : '';
    }
}
function session($name)
{
    $ci = & get_instance();
    return $ci->session->userdata($name);
}
function xss_clean($data)
{
    $ci = & get_instance();
    $ci->security->xss_clean($data);
}

function logout($role)
{
    $ci = & get_instance();
    $user_data = $ci->session->all_userdata();
    foreach ($user_data as $key => $value) {
        $ci->session->unset_userdata($key);
    }
    $ci->session->sess_destroy();
    if($role==0)
    {
         redirect(base_url().'login');
    }else if($role==1)
    {
        redirect(base_url().'login');
    }else{
        redirect(base_url().'login');
    }
}

//////// GENERATE PASSWORD //////////
function randomPassword($length=4) {
    $alphabet = '1234567890';
    $pass = array(); //remember to declare $pass as an array
    $alphaLength = strlen($alphabet) - 1; //put the length -1 in cache
    for ($i = 0; $i < $length; $i++) {
        $n = rand(0, $alphaLength);
        $pass[] = $alphabet[$n];
    }
    return implode($pass); //turn the array into a string
}
function send_system_email($to,$subject,$message)
{ 
    /*$header = "From:info@thesocialclub.com \r\n";
    $header .= "Cc:maulesh@sanatantechnovation.com \r\n";
    $header .= "Bcc:maulesh@sanatantechnovation.com \r\n";
    $header .= "MIME-Version: 1.0\r\n";
    $header .= "Content-type: text/html\r\n";

    $retval = mail ($to,$subject,$message,$header);*/
    $bcc = array('php3.sanatan@gmail.com');
    
    $config = Array(
    'protocol' => 'smtp',
    'smtp_host' => 'smtp.sendgrid.net',
    'smtp_port' => 587,
    'smtp_user' => 'shivani.sanatan',
    'smtp_pass' => 'php3sanatan',
    'mailtype'  => 'html', 
    'charset'   => 'iso-8859-1',
    'crlf' => "\r\n",
    'newline' => "\r\n"
    );

    $CI = & get_instance();
    $CI->load->library('email',$config);		
    $CI->email->clear();
    $CI->email->to($to);
    $CI->email->from('no-currentbusinessreviews.com');
    //$CI->email->cc('php3.sanatan@gmail.com');
    $CI->email->bcc($bcc);
    $CI->email->subject($subject);
    $CI->email->message($message);        		       
    $result = $CI->email->send();
    //print_r($result);
    if($result)
    {
      return TRUE;
    }else{
      return FALSE;
    }	
}

function upload_image($upload_path,$filename,$max_width=0,$max_height=0)
{
    $CI = & get_instance();
    // Upload profile picture
    $image_config['allowed_types']    = array('jpeg', 'jpg', 'png');
    $image_config['encrypt_name']     = true;
    $image_config['upload_path']      = $upload_path;
    $image_config['max_size'] = 2048;
    if($max_width > 0) $image_config['max_width'] =  $max_width;
    if($max_width > 0) $image_config['max_height'] =  $max_height;
    //$CI->load->library('upload', $image_config);
    $CI->load->library('upload');
    $CI->upload->initialize($image_config);
    

    if (isset($_FILES["$filename"]) && !empty($_FILES["$filename"]["name"])) {

        if ( $CI->upload->do_upload("$filename") ){
            $upload_data = $CI->upload->data();
            $filename=$upload_data['file_name'];
            $source_path = $_SERVER['DOCUMENT_ROOT'].$upload_path.'/'.$filename;
            //print_r($upload_data);
            return $upload_data;
        } 
        else{
            $error = array('error' => $CI->upload->display_errors());
            return $error;
            //print_r($error);
        }
    }
}

function upload_multiple_images($filesCount,$uploadPath,$target_path,$filename)
{
    
    $CI = & get_instance();
    
    $uploadData=array();
    for($i =0; $i < $filesCount; $i++){
                
        if(!empty($_FILES["$filename"]['name'][$i]))
        {
            //echo $_FILES['certi']['name'][$i];
            $_FILES['file']['name']     = $_FILES["$filename"]['name'][$i];
            $_FILES['file']['type']     = $_FILES["$filename"]['type'][$i];
            $_FILES['file']['tmp_name'] = $_FILES["$filename"]['tmp_name'][$i];
            $_FILES['file']['error']     = $_FILES["$filename"]['error'][$i];
            $_FILES['file']['size']     = $_FILES["$filename"]['size'][$i];
            // File upload configuration
            //$uploadPath = 'documents/certi/'.$user_id;
            $config['upload_path'] = $uploadPath;
            $config['allowed_types'] = '*';
            $config['encrypt_name'] = TRUE;

            // Load and initialize upload library
            $CI->load->library('upload', $config);
            $CI->upload->initialize($config);

            // Upload file to server
            if($CI->upload->do_upload("file")){
                // Uploaded file data
                $fileData = $CI->upload->data();
                $uploadData[$i]['attach_type'] = $i+1;;
                $uploadData[$i]['file_name'] = $fileData['file_name'];
                //print_r($uploadData);
                
            }else{
                $error = array('error' => $CI->upload->display_errors());
                //print_r($error);
            }
        }
    }
    return array_values($uploadData);
    
}

function make_thumb($src, $dest, $desired_width,$img_ext) {

    /* read the source image */
    if($img_ext== '.png')
    {
        $source_image = imagecreatefrompng($src);
    }else{
        $source_image = @imagecreatefromjpeg($src);
    }
    
    $width = imagesx($source_image);
    $height = imagesy($source_image);

    /* find the "desired height" of this thumbnail, relative to the desired width  */
    $desired_height = floor($height * ($desired_width / $width));

    /* create a new, "virtual" image */
    $virtual_image = imagecreatetruecolor($desired_width, $desired_height);

    /* copy source image at a resized size */
    imagecopyresampled($virtual_image, $source_image, 0, 0, 0, 0, $desired_width, $desired_height, $width, $height);

    /* create the physical thumbnail image to its destination */
    
    if($img_ext== '.png')
    {
       imagepng($virtual_image, $dest); 
    }else{
       imagejpeg($virtual_image, $dest); 
    }
    
}

function check_superuser_permission()
{
    $CI = & get_instance();
    ///// PERMISSION ONLY SUPER USERS ////////
    $role=$CI->session->userdata('role');
    if($role != 1)
    {   
        redirect('permission_403');
    }
}

function globalPagination($url, $total_rows, $per_pege, $uri_segment) {
    $CI = & get_instance();

    $CI->load->library("pagination");


    $config = array();
    $config["base_url"] = $url;

    $config["per_page"] = 3;
    $config["uri_segment"] = $uri_segment;
    $config['use_page_numbers'] = TRUE;

    $config["total_rows"] = $total_rows;
    $CI->pagination->initialize($config);
    $data["links"] = $CI->pagination->create_links();
    return $data;
}
function create_slug($id=0, $name,$table_name)
{
    $CI = & get_instance();
    $count = 0;
    $name = url_title($name);
    $slug_name = $name;             // Create temp name
    while(true) 
    {
        if($id > 0)
        {
            $CI->db->select('id');
            $CI->db->where('id !=', $id);
            $CI->db->where('slug', $slug_name);   // Test temp name
            $query = $CI->db->get($table_name);
            if ($query->num_rows() == 0) break;
            $slug_name = $name . '-' . (++$count);  // Recreate new temp name
        }
    }
    return $slug_name; // Return temp name
}