<main id="main-container">
<div class="content bg-gray-lighter">
    <div class="row items-push">
        <div class="col-sm-7">
            <h1 class="page-heading">
                <?=$title?>
            </h1>
        </div>
        <div class="col-sm-5 text-right hidden-xs">
            <ol class="breadcrumb push-10-t">
                <li><?=$beadcrum_title?></li>
                <li><a class="link-effect" href=""><?=$beadcrum_sub_title?></a></li>
            </ol>
        </div>
    </div>
</div>
     
<div class="content content-narrow">

<div class="col-sm-2 pull-left">
            <a href="<?=base_url()?>Stock/stock_list" class="btn btn-minw btn-primary"><b>BACK</b></a>
        </div>
    <div class="row">
        <div class="col-lg-12">
        
            <!-- Bootstrap Contact -->
            <div class="block block-themed">
                <div class="block-header bg-info">
                    <h3 class="block-title"><?=$beadcrum_sub_title?></h3>
                </div>
                <?php $this->load->view('common/messages');?>
                <div class="block-content">
                    <form class="form-horizontal push-5-t" action="<?=base_url()?>Stock/update_stock/<?=$row->id?>" method="post" enctype="multipart/form-data">
                        <div class="form-group">
                            <label class="col-xs-12" for="contact1-email">Code No *</label>
                                <div class="col-xs-12">
                                    <div class="input-group">
                                        <input class="form-control" type="text" id="code_no" name="code_no" value="<?=isset($row->code_no) ? $row->code_no : post_data('code_no')?>" placeholder="Enter code no" required/>
                                        <span class="input-group-addon"><i class="fa fa-list"></i></span>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-xs-12" for="contact1-email">Product Name *</label>
                                <div class="col-xs-12">
                                <div class="input-group">
                                <input class="form-control" type="text" id="product_name" name="product_name" value="<?=isset($row->product_name) ? $row->product_name : post_data('product_name')?>" placeholder="Enter code no" required/>
                                        <span class="input-group-addon"><i class="fa fa-list"></i></span>
                                </div>
                            </div>
                        </div> 
                        <div class="form-group">
                            <label class="col-xs-12" for="contact1-email">HSN code  *</label>
                                <div class="col-xs-12">
                                <div class="input-group">
                                        <input class="form-control" type="text" id="HSN_code" name="HSN_code" value="<?=isset($row->HSN_code) ? $row->HSN_code : post_data('HSN_code')?>" placeholder="Enter HSN code " required/>
                                        <span class="input-group-addon"><i class="fa fa-list"></i></span>
                                </div>
                            </div>
                        </div>  
                        <div class="form-group">
                            <label class="col-xs-12" for="contact1-email">Rate *</label>
                                <div class="col-xs-12">
                                    <div class="input-group">
                                        <input class="form-control" type="text" id="rate" name="rate" value="<?=isset($row->rate) ? $row->rate : post_data('rate')?>" placeholder="Enter Rate"  required/>
                                        <span class="input-group-addon"><i class="fa fa-list"></i></span>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-xs-12" for="contact1-email">Unit Name *</label>
                                <div class="col-xs-12">
                                <div class="input-group">
                                <select name="unit_name" id="unit_name" class="form-control">
                                    <?php if(!empty($unit_list)) { ?>
                                    <option value="">=== Select unit name ====</option>
                                    <?php foreach($unit_list as $c) { ?>
                                    <option value="<?=$c->unit_name?>" <?php echo dropdown_post_datas((isset($row->unit_name)) ? $row->unit_name :'','unit_name',$c->unit_name); ?>><?=$c->unit_name?></option>
                                    <?php } } ?>
                                    </select>    
                                </div>
                            </div>
                        </div>  
                        <div class="form-group">
                            <label class="col-xs-12" for="contact1-email"> Unit Value *</label>
                                <div class="col-xs-12">
                                    <div class="input-group">
                                        <input class="form-control" type="text" id="unit_value" name="unit_value" value="<?=isset($row->unit_value) ? $row->unit_value : post_data('unit_value')?>" placeholder="Enter unit value"  required/>
                                        <span class="input-group-addon"><i class="fa fa-list"></i></span>
                                </div>
                            </div>
                        </div>
                        
                        <div class="form-group">
                            <div class="input-group">
                                <input class="btn btn-minw btn-primary" type="submit"  name="submit" value="Create">
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
</main>
