<main id="main-container">
    <div class="content bg-gray-lighter">
        <div class="row items-push">
            <div class="col-sm-7">
                <h1 class="page-heading">
                    <?=$title?>
                </h1>
            </div>
            <div class="col-sm-5 text-right hidden-xs">
                <ol class="breadcrumb push-10-t">
                    <li><?=$beadcrum_title?></li>
                    <li><a class="link-effect" href=""><?=$beadcrum_sub_title?></a></li>
                </ol>
            </div>
        </div>
    </div>
    <div class="col-md-12">
        <?php $this->load->view('common/messages');?>
    </div>
    <div class="content content-narrow">
        <div class="row">
            <div class="col-lg-12">
                <div class="col-md-12">
                    <?php if(session('role')==2) { ?>
                        <a class="btn btn-success pull-right" href="<?=base_url()?>add-business/<?=$created_id?>/<?=$slug?>"><i class="fa fa-plus"></i> Add Business</a>
                    <?php } else if(session('role')==0) { ?>
                        <a class="btn btn-success pull-right" href="<?=base_url()?>add-business"><i class="fa fa-plus"></i> Add Business</a>
                    <?php } ?>
                </div>
                <?php //print_r($items);?>
                <div class="block-content">
                    <p class="push-30"></p>
                    <div class="table-responsive">
                        <table class="table table-striped table-vcenter">
                            <thead>
                                <tr>
                                    <th class="text-center">SR No</th>
                                    <!--<th >Logo</th>-->
                                    <th style="width:20%">Business Deatils</th>
                                    <?php /*<th >Category</th> */?>
                                    <th>Owner Details</th>
                                    <th style="width:12%">Access</th>
                                    <th>Action</th>
                                    <th>Renewal</th>
                                    <th style="width:15%">Subscription</th>
                                    <th>Date Joined</th>
                                    
                                </tr>
                            </thead>
                            <tbody>
                                <?php if(!empty($items)) { $i=1; ?>
                                <?php foreach ($items as $r) { //free_plan_expired //is_free_plan_expired?>
                                <tr>
                                    <td class="text-center font-w600"><?=$i?></td>
                                    <?php /*<td ><img class="img-circle img-thumb" width="70" height="70" src="<?=base_url().$r['row']->logo?>"></td> */ ?>
                                    <td class="" style="width:20%">
                                        <span> <b>Name :</b> <?=$r['row']->business_name?></span><br/>
                                        <span> <b>Owner :</b> <?=$r['row']->owner?></span><br/>
                                        <span> <b>Code :</b> <?=$r['row']->verify_code?></span><br/>
                                    </td>
                                    <?php /*<td ><?=(isset($this->general->get_details_by_multi_columns_array('categories',array('id'=>$r['row']->category_id))->row()->category)) ? $this->general->get_details_by_multi_columns_array('categories',array('id'=>$r['row']->category_id))->row()->category : '-';?></td> */ ?>
                                    <td>
                                        <span><b>Email :</b> <?=$r['row']->email?></span><br/>
                                        <span><b>Phone :</b> <?=$r['row']->primary_phone?></span><br/>
                                    </td>
                                    <td style="width:12%">
                                        <?php if($r['row']->active == 1) {  ?>
                                        <span class="label label-success">Active</span><br/>
                                        <a class="confirm-action" data-toggle="tooltip" title="Active" href="<?=base_url()?>change-business-status/<?=$r['row']->id?>/2/<?=$slug?>">Click to deactive</a>
                                        <?php } else { ?>
                                        <span class="label label-danger">Inactive</span><br/>
                                        <a class="confirm-action" data-toggle="tooltip" title="Inactive" href="<?=base_url()?>change-business-status/<?=$r['row']->id?>/1/<?=$slug?>">Click to active</a>
                                        <?php } ?>
                                    </td> 
                                    <td >
                                        <div class="btn-group">
                                            <a class="btn btn-xs btn-default" type="button" data-toggle="tooltip" title="Edit" href="<?=base_url()?>edit-business/<?=$r['row']->id?>/<?=$created_id?>/<?=$slug?>"><i class="fa fa-pencil"></i></a>
                                            <a class="btn btn-xs btn-default" type="button" data-toggle="tooltip" title="Go to website" href="<?=base_url()?>business/<?=$r['row']->slug?>" target="_blank"><i class="fa fa-globe"></i></a>
                                            <button onclick="iFrameToggle('<?=$r['row']->id?>');" class="btn btn-xs btn-default" type="button" data-toggle="tooltip" title="Embeded iFrame"><i class="fa fa-link"></i></button>
                                            <a class="btn btn-xs btn-default" type="button" data-toggle="tooltip" title="Show Reviews" href="<?=base_url()?>admin-business-reviews/<?=$r['row']->id?>" target="_blank"><i class="fa fa-star"></i></a>
                                            <div class="embedded_div_<?=$r['row']->id?>" style="display:none;">
                                                <textarea class="form-control"><iframe width="560" height="315" src="<?=base_url()?>business/<?=$r['row']->slug?>/embedded_reviews" frameborder="0"></iframe></textarea>
                                            </div>
                                        </div>
                                    </td>
                                    <td ><?=$r['free_plan_expired']?></td>
                                    <td style="width:15%">
                                        <?php if($r['is_free_plan_expired'] == 0)
                                        { ?>
                                        <div class="alert alert-info"><a href="<?=base_url()?>extend-business-plan/<?=$r['row']->id?>/<?=$r['row']->subscription_type?>/<?=$slug?>" onclick="confirm('Are you sure extend Free Trial for  -  <?=$r['row']->business_name?> ?')">Extend Free Trial(<?=$r['row']->subscription_type?> Days)</a></div>
                                        <?php }else{ ?>
                                        <div class="alert alert-danger"><span>Free Trial has been expired.<a href="#"> Click here</a> to activate.</span></div>
                                        <?php }  ?>    
                                    </td>
                                    <td><?=$r['row']->created?></td>
                                   
                                    <?php /*<td ><?=$r['row']->last_modified?></td> */ ?>
                                </tr>
                                <?php $i++; } ?>
                                <?php } ?>
                            </tbody>
                        </table>
                    </div>
                     <?php if (!empty($paging)) { ?>
                        <p class="pagination pull-right"><?= $paging['links'] ?></p>
                    <?php } ?>
                </div>
            </div>
        </div>
    </div>
</main>
<script type="text/javascript">
    function iFrameToggle(id)
    {
         $('.embedded_div_'+id).toggle();
    }
</script>


    