<main id="main-container">
<div class="content bg-gray-lighter">
    <div class="row items-push">
        <div class="col-sm-7">
            <h1 class="page-heading">
                <?=$title?>
            </h1>
        </div>
        <div class="col-sm-5 text-right hidden-xs">
            <ol class="breadcrumb push-10-t">
                <li><?=$beadcrum_title?></li>
                <li><a class="link-effect" href=""><?=$beadcrum_sub_title?></a></li>
            </ol>
        </div>
    </div>
</div>
     
<div class="content content-narrow">
<div class="col-md-5">
            <a href="<?=base_url()?>User/user_list" class="btn btn-minw btn-primary"><b>BACK</b></a>
        </div>
    <div class="row">
        <div class="col-lg-12">
        
            <!-- Bootstrap Contact -->
            <div class="block block-themed">
                <div class="block-header bg-info">
                    <h3 class="block-title"><?=$beadcrum_sub_title?></h3>
                </div>
                <?php $this->load->view('common/messages');?>
                <div class="block-content">
                    <form class="form-horizontal push-5-t" action="<?=base_url()?>User/update_user/<?=$row->id?>" method="post" enctype="multipart/form-data">
                        <div class="form-group">
                            <label class="col-xs-12" for="contact1-email"> User Full name *</label>
                                <div class="col-xs-12">
                                    <div class="input-group">
                                        <input class="form-control" type="text" id="username" name="username" value="<?=isset($row->username) ? $row->username : post_data('username')?>" placeholder="Enter User Name" >
                                        <span class="input-group-addon"><i class="fa fa-list"></i></span>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-xs-12" for="contact1-email"> User first name *</label>
                                <div class="col-xs-12">
                                    <div class="input-group">
                                        <input class="form-control" type="text" id="first_name" name="first_name" value="<?=isset($row->first_name) ? $row->first_name : post_data('first_name')?>" placeholder="Enter First Name" >
                                        <span class="input-group-addon"><i class="fa fa-list"></i></span>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-xs-12" for="contact1-email"> User Last name *</label>
                                <div class="col-xs-12">
                                    <div class="input-group">
                                        <input class="form-control" type="text" id="last_name" name="last_name" value="<?=isset($row->last_name) ? $row->last_name : post_data('last_name')?>" placeholder="Enter last Name" >
                                        <span class="input-group-addon"><i class="fa fa-list"></i></span>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-xs-12" for="contact1-email"> Email *</label>
                                <div class="col-xs-12">
                                    <div class="input-group">
                                        <input class="form-control" type="text" id="email" name="email" value="<?=isset($row->email) ? $row->email : post_data('email')?>" placeholder="Enter User email address" >
                                        <span class="input-group-addon"><i class="fa fa-list"></i></span>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-xs-12" for="contact1-email">Access level*</label>
                                <div class="col-xs-12">
                                    <div class="input-group">

                                        <select name="access_level" value="<?=isset($row->access_level) ? $row->access_level : post_data('access_level')?>" style="width: 29%;height: 32px;">
                                            <option value="">select Access level</option>
                                            <option value="admin level">admin level</option>
                                            <option value="staf level">staf level</option>
                                            <option value="super admin level">super admin level</option>
                                     </select>
                                            <span class="input-group-addon"><i class="fa fa-list"></i></span>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-xs-12" for="contact1-email"> phone no *</label>
                                <div class="col-xs-12">
                                    <div class="input-group">
                                        <input class="form-control" type="text" id="mobile" name="mobile" value="<?=isset($row->mobile) ? $row->mobile : post_data('mobile')?>" placeholder="Enter User phone no" >
                                        <span class="input-group-addon"><i class="fa fa-list"></i></span>
                                </div>
                            </div>
                        </div>
                        
                        <div class="form-group">
                            <div class="input-group">
                                <input class="btn btn-minw btn-primary" type="submit"  name="submit" value="Edit">
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
</main>
