<main id="main-container">
<div class="content bg-gray-lighter">
    <div class="row items-push">
        <div class="col-sm-7">
            <h1 class="page-heading">
                <?=$title?>
            </h1>
        </div>
        <div class="col-sm-5 text-right hidden-xs">
            <ol class="breadcrumb push-10-t">
                <li><?=$beadcrum_title?></li>
                <li><a class="link-effect" href=""><?=$beadcrum_sub_title?></a></li>
            </ol>
        </div>
    </div>
</div>
     
<div class="content content-narrow">

<div class="col-sm-2 pull-left">
            <a href="<?=base_url()?>Warehouses/warehouse_list" class="btn btn-minw btn-primary"><b>BACK</b></a>
        </div>
    <div class="row">
        <div class="col-lg-12">
        
            <!-- Bootstrap Contact -->
            <div class="block block-themed">
                <div class="block-header bg-info">
                    <h3 class="block-title"><?=$beadcrum_sub_title?></h3>
                </div>
                <?php $this->load->view('common/messages');?>
                <div class="block-content">
                    <form class="form-horizontal push-5-t" action="<?=base_url()?>Warehouses/update/<?=$row->id?>" method="post" enctype="multipart/form-data">
                        <div class="form-group">
                            <label class="col-xs-12" for="contact1-email">Name *</label>
                                <div class="col-xs-12">
                                    <div class="input-group">
                                        <input class="form-control" type="text" id="name" name="name" value="<?=isset($row->name) ? $row->name : post_data('name')?>"  placeholder="Enter User Name" required/>
                                        <span class="input-group-addon"><i class="fa fa-list"></i></span>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-xs-12" for="contact1-email">Parent Unit *</label>
                                <div class="col-xs-12">
                                    <div class="input-group">
                                        <select name="parent_unit" value="<?=isset($row->parent_unit) ? $row->parent_unit : post_data('parent_unit')?>" >
                             
                                            <option value="warehouse">warehouse</option>
                                            <option value="department">department</option>
                                     </select>
                                            <span class="input-group-addon"><i class="fa fa-list"></i></span>
                                </div>
                            </div>
                        </div>  <div class="form-group">
                            <label class="col-xs-12" for="contact1-email">Address *</label>
                                <div class="col-xs-12">
                                    <div class="input-group">
                                        <input class="form-control" type="text" id="address" name="address" value="<?=isset($row->address) ? $row->address : post_data('address')?>"  placeholder="Enter Address"  required/>
                                        <span class="input-group-addon"><i class="fa fa-list"></i></span>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-xs-12" for="contact1-email"> Street *</label>
                                <div class="col-xs-12">
                                    <div class="input-group">
                                        <input class="form-control" type="text" id="street" name="street" value="<?=isset($row->street) ? $row->street : post_data('street')?>"  placeholder="Enter Street"  required/>
                                        <span class="input-group-addon"><i class="fa fa-list"></i></span>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-xs-12" for="contact1-email">Landmark *</label>
                                <div class="col-xs-12">
                                    <div class="input-group">
                                        <input class="form-control" type="text" id="landmark" name="landmark" value="<?=isset($row->landmark) ? $row->landmark : post_data('landmark')?>"  placeholder="Enter Landmark" >
                                        <span class="input-group-addon"><i class="fa fa-list"></i></span>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-xs-12" for="contact1-email"> city  *</label>
                                <div class="col-xs-12">
                                    <div class="input-group">
                                        <input class="form-control" type="text" id="city" name="city" value="<?=isset($row->city) ? $row->city : post_data('city')?>"   placeholder="Enter city"  required/>
                                        <span class="input-group-addon"><i class="fa fa-list"></i></span>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-xs-12" for="contact1-email">State*</label>
                                <div class="col-xs-12">
                                    <div class="input-group">
                                        <input class="form-control" type="text" id="state" name="state"  value="<?=isset($row->state) ? $row->state : post_data('state')?>"  placeholder="Enter state"   required/>
                                        <span class="input-group-addon"><i class="fa fa-list"></i></span>
                                </div>
                            </div>
                        </div>
                         <div class="form-group">
                            <label class="col-xs-12" for="contact1-email">country_id*</label>
                                <div class="col-xs-12">
                                    <div class="input-group">
                                        <input class="form-control" type="text" id="country_id" name="country_id"  value="<?=isset($row->country_id) ? $row->country_id : post_data('country_id')?>"  placeholder="Enter state"   required/>
                                        <span class="input-group-addon"><i class="fa fa-list"></i></span>
                                </div>
                            </div>
                        </div>
                          <div class="form-group">
                            <label class="col-xs-12" for="contact1-email">email*</label>
                                <div class="col-xs-12">
                                    <div class="input-group">
                                        <input class="form-control" type="text" id="email" name="email" value="<?=isset($row->email) ? $row->email : post_data('email')?>"   placeholder="Enter state"   required/>
                                        <span class="input-group-addon"><i class="fa fa-list"></i></span>
                                </div>
                            </div>
                        </div>
                          <div class="form-group">
                            <label class="col-xs-12" for="contact1-email">phone no*</label>
                                <div class="col-xs-12">
                                    <div class="input-group">
                                        <input class="form-control" type="text" id="phone_no" name="phone_no" value="<?=isset($row->phone_no) ? $row->phone_no : post_data('phone_no')?>"  placeholder="Enter phone_no"   required/>
                                        <span class="input-group-addon"><i class="fa fa-list"></i></span>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="input-group">
                                <input class="btn btn-minw btn-primary" type="submit"  name="submit" value="Edit">
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
</main>
