<!-- Sidebar -->
<nav id="sidebar">
    <!-- Sidebar Scroll Container -->
    <div id="sidebar-scroll">
        <!-- Sidebar Content -->
        <!-- Adding .sidebar-mini-hide to an element will hide it when the sidebar is in mini mode -->
        <div class="sidebar-content">
            <!-- Side Header -->
            <div class="side-header side-content bg-white-op">
                <!-- Layout API, functionality initialized in App() -> uiLayoutApi() -->
                <button class="btn btn-link text-gray pull-right hidden-md hidden-lg" type="button" data-toggle="layout" data-action="sidebar_close">
                    <i class="fa fa-times"></i>
                </button>
                <!-- Themes functionality initialized in App() -> uiHandleTheme() -->
            </div>
            <!-- END Side Header -->

            <!-- Side Content -->
            <div class="side-content">
                
                <ul class="nav-main">
                    <li>
                        <a href="#" class="<?php if($active=='dashboard') echo 'active';?>"><i class="si si-speedometer"></i><span class="sidebar-mini-hide">Dashboard</span></a>
                    </li>
                    <li class="nav-main-heading"><span class="sidebar-mini-hide">User Interface</span></li>
                    <!-- <li>
                        <a href="#"><i class="fa fa-user"></i><span class="sidebar-mini-hide">Profile</span></a>
                    </li> -->
                    <li>
                        <a href="<?=base_url()?>Company/index" class="<?php if($active=='Company') echo 'active';?>"><i class="si si-badge"></i><span class="sidebar-mini-hide">Company</span></a>
                    </li>

                    <li>
                        <a href="<?=base_url()?>User/user_list"  class="<?php if($active=='Users') echo 'active';?>"><i class="fa fa-users" aria-hidden="true"></i><span class="sidebar-mini-hide">Users</span></a>
                    </li>
                    <li>
                    <a href="<?=base_url()?>Customer/customer_list" class="<?php if($active=='Customer') echo 'active';?>"><i class="fa fa-users" aria-hidden="true"></i><span class="sidebar-mini-hide">Customer</span></a>
                    </li>
                    <li>
                    <a href="<?=base_url()?>Suppliers/list" class="<?php if($active=='Suppliers') echo 'active';?>"><i class="fa fa-users" aria-hidden="true"></i><span class="sidebar-mini-hide">Suppliers</span></a>
                    </li>
                    <li>
                        <a href="<?=base_url()?>QCMaster/list" class="<?php if($active=='QC Master') echo 'active';?>"><i class="fa fa-home" aria-hidden="true"></i><span class="sidebar-mini-hide">QC Master</span></a>
                    </li>
                    <li class="open">
                        <a href="#" class="nav-submenu" data-toggle="nav-submenu" role="button" aria-haspopup="true" aria-expanded="false"><i class="si si-note" aria-hidden="true"></i> Add sample Data</a>
                        <ul class="nav-submenu">
                            <li>
                                <a href="<?=base_url()?>Production/production_list" class="<?php if($active=='Production') echo 'active';?>"><span class="sidebar-mini-hide">Production List</span></a>
                            </li>
                            <li>
                                <a href="<?=base_url()?>Outward/list" class="<?php if($active=='Outward') echo 'active';?>"><span class="sidebar-mini-hide">Outward sample List</span></a>
                            </li> 
                            <li>
                                <a href="<?=base_url()?>Customer_sample/list" class="<?php if($active=='Customer Sample') echo 'active';?>"><span class="sidebar-mini-hide">Customer sample List</span></a>
                            </li>                              
                            <li>
                                <a href="<?=base_url()?>Sales/sale_list" class="<?php if($active=='Sales') echo 'active';?>"><span class="sidebar-mini-hide">Sales sample List</span></a>
                            </li>                                
                            <li>
                                <a href="<?=base_url()?>Purchase/list" class="<?php if($active=='Purchase') echo 'active';?>"><span class="sidebar-mini-hide">Purchase sample List</span></a>
                            </li>                              
                        </ul>
                    </li>   
                       
                    <li>
                        <a href="<?=base_url()?>Warehouses/warehouse_list" class="<?php if($active=='Warehouses') echo 'active';?>"><i class="fa fa-home" aria-hidden="true"></i><span class="sidebar-mini-hide">Warehouses</span></a>
                    </li>
                    <li>
                        <a href="<?=base_url()?>Unit/unit_list" class="<?php if($active=='Unit') echo 'active';?>"><i class="fa fa-user"></i><span class="sidebar-mini-hide">Unit</span></a>
                    </li>
                    <li>
                        <a href="<?=base_url()?>Stock/stock_list" class="<?php if($active=='Stock item') echo 'active';?>"><i class="si si-layers" aria-hidden="true"></i><span class="sidebar-mini-hide">Stock item</span></a>
                    </li>
                    <li>
                        <a href="<?=base_url()?>Batch/batch_list" class="<?php if($active=='Batch') echo 'active';?>"><i class="fa fa-tasks" aria-hidden="true"></i><span class="sidebar-mini-hide">Batch</span></a>
                    </li>
                    <li>
                        <a href="<?=base_url()?>Bom/created_bom" class="<?php if($active=='BOM') echo 'active';?>"><i class="fa fa-th" aria-hidden="true"></i><span class="sidebar-mini-hide">BOM</span></a>
                    </li>
                    <!-- <li>
                        <a href="#"><i class="fa fa-unlock"></i><span class="">Change Password</span></a>
                    </li>
                   <li>
                        <a href="<?=base_url()?>logout"><i class="si si-logout"></i><span class="sidebar-mini-hide">Logout</span></a>
                    </li> -->
                    
                </ul>
                   
             </div>
            <!-- END Side Content -->
        </div>
        <!-- Sidebar Content -->
    </div>
    <!-- END Sidebar Scroll Container -->
</nav>
<!-- END Sidebar -->