<div class="container ">
    <br/>
    <div class="row">
        <div class="col-sm-12">
            <div class="well business-dtl">
                <div class="back"><a href="<?=base_url()?>business/browse/businesses">Back</a></div>

                <section class="banner-area business-banner">
                    <img src="<?=base_url().$business->banner?>">
                </section>
                <div class="list-group">
                    <div class="list-group-item">
                        <div class="media col-md-2 ">
                            <img src="<?=base_url().$business->logo?>">
                        </div>
                        <div class="col-md-10">
                            <h4 class="blue business-dtl-name"><?=$business->business_name?></h4>
                            <p class="list-group-item-text"> <?=$business->description?></p>
                            <div class="row">
                                <div class="col-sm-12">
                                    <p><i class="fa fa-map-marker"></i>
                                        <?=$business->address_1.' '.$business->address_2.' ,'.$business->city.','.$business->state.','.$business->zipcode?>
                                    </p>
                                </div>
                            </div>
                        </div>
                        <div class="clearfix"></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-sm-12">
            <div class="col-sm-12 text-center"><h3 class="blue text-bold">Please Rate : <?=$business->business_name?></h3></div><br><br>
            <div class="custom-tvh-form" id="review">
                <div class="clearfix"></div>
                <div class="bcolor">
                    <h3>Rate Our Business and Share your Experience!</h3>
                </div>
                <br>
                 <?php $this->load->view('common/messages');?>
                <form action="<?=base_url()?>business/give_review/<?=$business->slug?>" method="post" id="review_form" name="review_form" class="form2">
                    <div class="row">
                        <div class="col-sm-6"> 
                            <div class="form-group ">
                                <label for="id_name">First Name (last initial):</label>
                                <div class="">
                                    <input type="text" name="name" class="form-control selectpicker" id="id_name" maxlength="255" required value="<?=post_data('name')?>" />
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-6"> 
                            <div class="form-group ">
                                <label for="id_email">Email:</label>
                                <div class="">
                                    <input type="email" name="email" class="form-control selectpicker" id="id_email" maxlength="254" value="<?=post_data('email')?>" />
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-6 custom-rating2"> 
                            <div class="form-group ">
                                <label for="id_rating">Please Rate Your Experience:</label>
                                <div class="">
                                    <input type="number" name="rating" class="form-control selectpicker" id="id_rating" required />
                                </div>
                            </div>
                            <div class="rr_stars_container">
                                <span class="rr_star glyphicon glyphicon-star" id="rr_star_1"></span>
                                <span class="rr_star glyphicon glyphicon-star" id="rr_star_2"></span>
                                <span class="rr_star glyphicon glyphicon-star" id="rr_star_3"></span>
                                <span class="rr_star glyphicon glyphicon-star" id="rr_star_4"></span>
                                <span class="rr_star glyphicon glyphicon-star" id="rr_star_5"></span>

                            </div>
                        </div>

                        <div class="col-sm-6"> 
                            <div class="form-group ">
                                <label for="id_gender_0">Would You Recommend Our Services?</label>
                                <div class="">
                                    <ul id="id_gender" class="form-control selectpicker">
                                        <li><label for="id_gender_0"><input type="radio" name="recommended_service" value="1" class="form-control selectpicker" checked id="id_gender_0" />
                                                Yes</label>

                                        </li>
                                        <li><label for="id_gender_1"><input type="radio" name="gender" value="0" class="form-control selectpicker" id="id_gender_1" />
                                                No</label>

                                        </li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-12"> 
                            <div class="form-group ">
                                <label for="id_comment">Comment:</label>
                                <div class="">
                                    <textarea name="comment" class="form-control selectpicker" id="id_comment" rows="10" required cols="40" placeholder="Feel free to leave your comments here."><?=post_data('comment')?></textarea>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-9">
                           <!-- <script src='https://www.google.com/recaptcha/api.js'></script>
                            <div class="g-recaptcha" data-sitekey="6LdwlWQUAAAAAElLqiH6Cd-EWS_l0zyvnEZqXPoS"></div> -->
                            <button id="submitbtn" class="btn" style="margin: 0px;" name="submit" type="submit">
                                Submit
                            </button>
                        </div>
                        <div class="col-sm-3"> 
                            <div class="form-group ">
                                <label for="id_verification_code">Verification code:</label>
                                <div class="">
                                    <input type="text" name="verification_code" class="form-control selectpicker" id="id_verification_code" value="<?=post_data('verification_code')?>" />
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
<style>
    .rr_star {
        color: #ffaf00;
    }

</style>
<script>
    $(document).ready(function () {

        $('#review_form').on('submit', function (e) {
            var $captcha = $('#g-recaptcha'),
                    response = grecaptcha.getResponse();
            console.log(response)
            if (response.length === 0) {

                $('.msg-error').text("reCAPTCHA is mandatory");
                if (!$captcha.hasClass("error")) {
                    $captcha.addClass("error");
                }
                e.preventDefault();
            } else {
                $('.msg-error').text('');
                $captcha.removeClass("error");
            }
        });

        $("#id_rating").hide();
        $("#id_gender").removeClass('form-control selectpicker');
        var value = 5;
        $("#id_rating").val(value);
        $("#rr_star_1").click(function () {
            var value = 1;
            $("#id_rating").val('');
            $("#id_rating").val(value);
            $(this).css("color", "#ffaf00");
            $(this).removeClass('glyphicon-star-empty');
            $(this).addClass('glyphicon-star');
        });
        $("#rr_star_2").click(function () {

            var value = 2;
            $("#id_rating").val('');
            $("#id_rating").val(value);
            $(this).addClass('glyphicon-star');
            $("#rr_star_1").addClass('glyphicon-star');

        });
        $("#rr_star_3").click(function () {
            var value = 3;
            $("#id_rating").val('');
            $("#id_rating").val(value);
            $(this).addClass('glyphicon-star');
            $("#rr_star_1").addClass('glyphicon-star');
            $("#rr_star_2").addClass('glyphicon-star');
        });
        $("#rr_star_4").click(function () {
            var value = 4;
            $("#id_rating").val('');
            $("#id_rating").val(value);
            $(this).addClass('glyphicon-star');
            $("#rr_star_1").addClass('glyphicon-star');
            $("#rr_star_2").addClass('glyphicon-star');
            $("#rr_star_3").addClass('glyphicon-star');
        });
        $("#rr_star_5").click(function () {
            var value = 5;
            $("#id_rating").val('');
            $("#id_rating").val(value);
            $(this).addClass('glyphicon-star');
            $("#rr_star_1").addClass('glyphicon-star');
            $("#rr_star_2").addClass('glyphicon-star');
            $("#rr_star_3").addClass('glyphicon-star');
            $("#rr_star_4").addClass('glyphicon-star');
        });
        $("#rr_star_5").hover(function () {
            $("#rr_star_1").removeClass('glyphicon-star-empty');
            $("#rr_star_2").removeClass('glyphicon-star-empty');
            $("#rr_star_3").removeClass('glyphicon-star-empty');
            $("#rr_star_4").removeClass('glyphicon-star-empty');
            $("#rr_star_5").removeClass('glyphicon-star-empty');
            $("#rr_star_1").addClass('glyphicon-star');
            $("#rr_star_2").addClass('glyphicon-star');
            $("#rr_star_3").addClass('glyphicon-star');
            $("#rr_star_4").addClass('glyphicon-star');
            $("#rr_star_5").addClass('glyphicon-star');
        });
        $("#rr_star_4").hover(function () {
            $("#rr_star_1").removeClass('glyphicon-star-empty');
            $("#rr_star_2").removeClass('glyphicon-star-empty');
            $("#rr_star_3").removeClass('glyphicon-star-empty');
            $("#rr_star_4").removeClass('glyphicon-star-empty');
            $("#rr_star_5").removeClass('glyphicon-star');
            $("#rr_star_1").addClass('glyphicon-star');
            $("#rr_star_2").addClass('glyphicon-star');
            $("#rr_star_3").addClass('glyphicon-star');
            $("#rr_star_4").addClass('glyphicon-star');
            $("#rr_star_5").addClass('glyphicon-star-empty');
        });
        $("#rr_star_3").hover(function () {
            $("#rr_star_1").removeClass('glyphicon-star-empty');
            $("#rr_star_2").removeClass('glyphicon-star-empty');
            $("#rr_star_3").removeClass('glyphicon-star-empty');
            $("#rr_star_4").removeClass('glyphicon-star');
            $("#rr_star_5").removeClass('glyphicon-star');
            $("#rr_star_1").addClass('glyphicon-star');
            $("#rr_star_2").addClass('glyphicon-star');
            $("#rr_star_3").addClass('glyphicon-star');
            $("#rr_star_4").addClass('glyphicon-star-empty');
            $("#rr_star_5").addClass('glyphicon-star-empty');
        });
        $("#rr_star_2").hover(function () {
            $("#rr_star_1").removeClass('glyphicon-star-empty');
            $("#rr_star_2").removeClass('glyphicon-star-empty');
            $("#rr_star_3").removeClass('glyphicon-star');
            $("#rr_star_4").removeClass('glyphicon-star');
            $("#rr_star_5").removeClass('glyphicon-star');
            $("#rr_star_1").addClass('glyphicon-star');
            $("#rr_star_2").addClass('glyphicon-star');
            $("#rr_star_3").addClass('glyphicon-star-empty');
            $("#rr_star_4").addClass('glyphicon-star-empty');
            $("#rr_star_5").addClass('glyphicon-star-empty');
        });
        $("#rr_star_1").hover(function () {
            $("#rr_star_1").removeClass('glyphicon-star-empty');
            $("#rr_star_2").removeClass('glyphicon-star');
            $("#rr_star_3").removeClass('glyphicon-star');
            $("#rr_star_4").removeClass('glyphicon-star');
            $("#rr_star_5").removeClass('glyphicon-star');
            $("#rr_star_1").addClass('glyphicon-star');
            $("#rr_star_2").addClass('glyphicon-star-empty');
            $("#rr_star_3").addClass('glyphicon-star-empty');
            $("#rr_star_4").addClass('glyphicon-star-empty');
            $("#rr_star_5").addClass('glyphicon-star-empty');
        });
    });
</script>
    

