<section class="section-feedback">
    <div class="container ">
        <br/>
        <div class="row">
            <div class="col-sm-12">
                <div class="well business-dtl">
                    <div class="back"><a href="<?=base_url()?>business/browse/businesses">Back</a></div>
                    <section class="banner-area business-banner">
                        <img src="<?=base_url().$business->banner?>">
                    </section>
                    <div class="list-group">
                        <div class="list-group-item">
                            <div class="media col-md-2 ">
                                <img src="<?=base_url().$business->logo?>">
                            </div>
                            <div class="col-md-10">
                                <h4 class="blue business-dtl-name"><?=$business->business_name?></h4>
                                <p class="list-group-item-text"><?=$business->description?></p>
                                <div class="row">
                                    <div class="col-sm-12">
                                        <p><i class="fa fa-map-marker"></i>
                                            <?=$business->address_1?>, <?=$business->address_2?>, <?=$business->city?> <br>
                                            <?=$business->state?>,<?=$business->zipcode?>
                                        </p>
                                    </div>
                                </div>
                            </div>
                            <div class="clearfix"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row review-block-area">
            <?php if(!empty($business_reviews)) { ?>
            <?php foreach($business_reviews as $r) {?>
                <div class="col-sm-3">
                    <div class="card review-block review-embed review-embed2">
                        <div class="card-body">
                            <div class="card-header">
                                <h3 class="pull-left name"><?=$r->first_name?></h3>
                                <h3 class="pull-right answer ">Recommend : - 
                                    <?=($r->recommended_service==1) ? 'Yes' : 'No';?> </h3>
                                <div class="clearfix"></div>
                            </div>
                            <div class="card-main">
                                <div class="row review-block-extra">
                                    <div class="col-sm-6 rating-area">
                                        <span class="pull-left">Rating:  </span><br/>
                                        <ul class="reating pull-left">
                                            <?php for($i=1;$i<=$r->rate;$i++) { ?>
                                                <li><i class="fa fa-star"></i></li>
                                            <?php } ?>
                                        </ul>
                                    </div>
                                    <div class="col-sm-6">
                                        <div class="review-date pull-right">
                                            <span><?=date('F j, Y',strtotime($r->created))?></span>
                                        </div>
                                    </div>
                                </div>
                                <div class="card-main-comment">
                                    <p><?=$r->comment?></p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            <?php } ?>
            <?php } ?>
        </div>
    </div>
</section>